View Issue Details

IDProjectCategoryView StatusLast Update
0003109SOGoBackend Generalpublic2016-05-30 11:45
Reporterlpgauthier Assigned Toplevesque  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Versionnightly v2 
Summary0003109: Sogo group error on new install (Debian - amd64)
Description

Hi,

On Debian Wheezy (amd64), a new installation of SOGo, I had this error:

Unpacking sogo:amd64 (from .../sogo_2.2.16-1_amd64.deb) ...
install: invalid group `sogo'
dpkg: error processing /var/cache/apt/archives/sogo_2.2.16-1_amd64.deb (--unpack):
subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/sogo_2.2.16-1_amd64.deb

I create manually the group and redo a "apt-get install sogo" and everything works fine after.

TagsNo tags attached.

Activities

lpgauthier

lpgauthier

2015-02-27 12:52

reporter   ~0008240

Not a real bug.
Need more validation for the group ?

Our NEW server was already plugged on our LDAP with a user "sogo" for our OLD server.
We rename this user and reinstall SOGo. Everything works fine.
SOGo finally reads /etc/sogo/sogo.conf

plevesque

plevesque

2016-05-30 11:45

reporter   ~0010259

https://github.com/inverse-inc/sogo/commit/0111b9de925d4446fc68a738a319e5e59fa4d3a3

Logic was tightened in the packaging scripts to ensure the 'sogo' group exists, not only the 'sogo' user.

Thanks for your report,

Issue History

Date Modified Username Field Change
2015-02-16 13:19 lpgauthier New Issue
2015-02-27 12:52 lpgauthier Note Added: 0008240
2016-05-27 14:16 ludovic Assigned To => plevesque
2016-05-27 14:16 ludovic Status new => assigned
2016-05-30 11:45 plevesque Note Added: 0010259
2016-05-30 11:45 plevesque Status assigned => resolved
2016-05-30 11:45 plevesque Fixed in Version => nightly v2
2016-05-30 11:45 plevesque Resolution open => fixed